Update business
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/businesses/{business_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_name": "<string>",
"state_of_formation": "<string>",
"ein": "<string>",
"ownership_percentage": 123,
"estimated_value": 123,
"co_owners": [
{
"name": "<string>",
"role": "<string>",
"ownership_percentage": 123
}
],
"has_operating_agreement": true,
"has_buy_sell_agreement": true,
"registered_agent": "<string>",
"institution_contact_id": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/businesses/{business_id}"
payload = {
"business_name": "<string>",
"state_of_formation": "<string>",
"ein": "<string>",
"ownership_percentage": 123,
"estimated_value": 123,
"co_owners": [
{
"name": "<string>",
"role": "<string>",
"ownership_percentage": 123
}
],
"has_operating_agreement": True,
"has_buy_sell_agreement": True,
"registered_agent": "<string>",
"institution_contact_id": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_name: '<string>',
state_of_formation: '<string>',
ein: '<string>',
ownership_percentage: 123,
estimated_value: 123,
co_owners: [{name: '<string>', role: '<string>', ownership_percentage: 123}],
has_operating_agreement: true,
has_buy_sell_agreement: true,
registered_agent: '<string>',
institution_contact_id: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/businesses/{business_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9BO01AJ0T88HRYE78AN7BBB",
"case_id": "<string>",
"entity_type": "llc",
"business_name": "Doe Family Properties LLC",
"state_of_formation": "UT",
"ein": "**-***1234",
"status": "active",
"deceased_role": "sole_owner",
"ownership_percentage": 100,
"estimated_value": 123,
"co_owners": [
{
"name": "<string>",
"role": "<string>",
"ownership_percentage": 123
}
],
"has_operating_agreement": true,
"has_buy_sell_agreement": true,
"professional_licenses": [
{
"license_type": "Real Estate Broker",
"license_number": "<string>",
"issuing_state": "<string>",
"expiration_date": "2023-12-25"
}
],
"registered_agent": "<string>",
"annual_revenue": 123,
"employees": 123,
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Business Ownership
Update business
PATCH
/
cases
/
{case_id}
/
businesses
/
{business_id}
Update business
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Available options:
c_corp, s_corp, llc, general_partnership, limited_partnership, sole_proprietorship, dba_trade_name, franchise, professional_license, nonprofit, other Required string length:
2Full EIN.
Available options:
active, inactive, dissolved, merged, suspended, unknown Available options:
sole_owner, majority_owner, minority_owner, partner, officer, director, shareholder, member, manager, license_holder, other Show child attributes
Show child attributes
Available options:
sell, transfer_to_heir, dissolve, continue_with_partners, pending_decision Response
Business updated.
Show child attributes
Show child attributes
⌘I

